Browse Source

More stylesheets

Bob Mottram 3 years ago
parent
commit
2a1a70c85f
4 changed files with 430 additions and 1586 deletions
  1. 10 1
      css/style.css
  2. 417 413
      emacs-setup.sh
  3. 3 1
      emacs.d/init/init.org
  4. 0 1171
      style.css

+ 10 - 1
css/style.css

@@ -4,9 +4,13 @@ Theme URI: http://www.sachachua.com
 Description: A new theme 
 Version: 1.0
 Author: Sacha Chua
-
+License: GNU General Public License v2.0
+License URI: http://www.gnu.org/licenses/gpl-2.0.html
 */
 
+p {
+text-rendering: auto;
+}
 /* =WordPress Core
 -------------------------------------------------------------- */
 .alignnone {
@@ -1160,3 +1164,8 @@ code {
                 padding: 0 0.2em;
 }
 
+dl.gallery-item { margin-left: 0 }
+td.center { text-align: center }
+.sticky { }
+.gallery-caption { } 
+.bypostauthor { }

+ 417 - 413
emacs-setup.sh

@@ -27,544 +27,548 @@ if [ ! -d ~/elisp/org-mode ]; then
     mkdir ~/elisp/org-mode
 fi
 
-cp style.css ~/.emacs.d/
+if [ ! -d ~/.emacs.d/css ]; then
+	mkdir ~/.emacs.d/css
+fi
+
+cp css/*.css ~/.emacs.d/css
 
 if ! grep -Fxq "helm" $INSTALL_FILE; then
-    rm -rf ~/elisp/org-mode/helm
-    mkdir ~/elisp/org-mode/helm
-    git clone https://github.com/emacs-helm/helm.git ~/elisp/org-mode/helm
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning helm'
-        exit 7339
-    fi
-    cd ~/elisp/org-mode/helm
-    make
-    if [ ! "$?" = "0" ]; then
-        echo 'Unable to make helm'
-        exit 738257
-    fi
-    sudo make install
-    cd ~/
-    echo "helm" >> $INSTALL_FILE
+	rm -rf ~/elisp/org-mode/helm
+	mkdir ~/elisp/org-mode/helm
+	git clone https://github.com/emacs-helm/helm.git ~/elisp/org-mode/helm
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning helm'
+		exit 7339
+	fi
+	cd ~/elisp/org-mode/helm
+	make
+	if [ ! "$?" = "0" ]; then
+		echo 'Unable to make helm'
+		exit 738257
+	fi
+	sudo make install
+	cd ~/
+	echo "helm" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "org-mode-usepackage" $INSTALL_FILE; then
-    rm -rf ~/elisp/org-mode/use-package
-    mkdir ~/elisp/org-mode/use-package
-    git clone https://github.com/jwiegley/use-package.git ~/elisp/org-mode/use-package
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning use-package'
-        exit 75379
-    fi
-    echo "org-mode-usepackage" >> $INSTALL_FILE
+	rm -rf ~/elisp/org-mode/use-package
+	mkdir ~/elisp/org-mode/use-package
+	git clone https://github.com/jwiegley/use-package.git ~/elisp/org-mode/use-package
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning use-package'
+		exit 75379
+	fi
+	echo "org-mode-usepackage" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "org-mode" $INSTALL_FILE; then
-    rm -rf ~/elisp/org-mode/org
-    mkdir ~/elisp/org-mode/org
-    git clone git://orgmode.org/org-mode.git ~/elisp/org-mode/org
-    if [ ! "$?" = "0" ]; then
-        # a fallback repo
-        git clone https://github.com/jwiegley/org-mode ~/elisp/org-mode/org
-        if [ ! "$?" = "0" ]; then
-            echo 'Error cloning org'
-            exit 5678
-        fi
-    fi
-    cd ~/elisp/org-mode/org
-    make
-    if [ ! "$?" = "0" ]; then
-        echo 'Unable to make org-mode'
-        exit 67295
-    fi
-    sudo make install
-    cd ~/
-    echo "org-mode" >> $INSTALL_FILE
+	rm -rf ~/elisp/org-mode/org
+	mkdir ~/elisp/org-mode/org
+	git clone git://orgmode.org/org-mode.git ~/elisp/org-mode/org
+	if [ ! "$?" = "0" ]; then
+		# a fallback repo
+		git clone https://github.com/jwiegley/org-mode ~/elisp/org-mode/org
+		if [ ! "$?" = "0" ]; then
+			echo 'Error cloning org'
+			exit 5678
+		fi
+	fi
+	cd ~/elisp/org-mode/org
+	make
+	if [ ! "$?" = "0" ]; then
+		echo 'Unable to make org-mode'
+		exit 67295
+	fi
+	sudo make install
+	cd ~/
+	echo "org-mode" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "use-package" $INSTALL_FILE; then
-    rm -rf ~/elisp/use-package
-    mkdir ~/elisp/use-package
-    git clone https://github.com/jwiegley/use-package ~/elisp/use-package
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning use-package'
-        exit 5789
-    fi
-    echo "use-package" >> $INSTALL_FILE
+	rm -rf ~/elisp/use-package
+	mkdir ~/elisp/use-package
+	git clone https://github.com/jwiegley/use-package ~/elisp/use-package
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning use-package'
+		exit 5789
+	fi
+	echo "use-package" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "diminish" $INSTALL_FILE; then
-    rm -rf ~/elisp/diminish
-    mkdir ~/elisp/diminish
-    cd ~/elisp/diminish
-    rm *
-    wget http://www.eskimo.com/~seldon/diminish.el
-    if [ ! "$?" = "0" ]; then
-        echo 'Error getting diminish'
-        exit 47688
-    fi
-    cd ~/
-    echo "diminish" >> $INSTALL_FILE
+	rm -rf ~/elisp/diminish
+	mkdir ~/elisp/diminish
+	cd ~/elisp/diminish
+	rm *
+	wget http://www.eskimo.com/~seldon/diminish.el
+	if [ ! "$?" = "0" ]; then
+		echo 'Error getting diminish'
+		exit 47688
+	fi
+	cd ~/
+	echo "diminish" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "miniedit" $INSTALL_FILE; then
-    rm -rf ~/elisp/miniedit
-    mkdir ~/elisp/miniedit
-    git clone https://github.com/emacsmirror/miniedit ~/elisp/miniedit
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning miniedit'
-        exit 68999
-    fi
-    echo "miniedit" >> $INSTALL_FILE
+	rm -rf ~/elisp/miniedit
+	mkdir ~/elisp/miniedit
+	git clone https://github.com/emacsmirror/miniedit ~/elisp/miniedit
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning miniedit'
+		exit 68999
+	fi
+	echo "miniedit" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "color-theme" $INSTALL_FILE; then
-    rm -rf ~/elisp/color-theme
-    mkdir ~/elisp/color-theme
-    cd ~/elisp/color-theme
-    rm *
-    wget http://download.savannah.gnu.org/releases/color-theme/color-theme.el.gz
-    if [ ! "$?" = "0" ]; then
-        echo 'Error getting color-theme'
-        exit 3790
-    fi
-    gunzip *.gz
-    cd ~/
-    echo "color-theme" >> $INSTALL_FILE
+	rm -rf ~/elisp/color-theme
+	mkdir ~/elisp/color-theme
+	cd ~/elisp/color-theme
+	rm *
+	wget http://download.savannah.gnu.org/releases/color-theme/color-theme.el.gz
+	if [ ! "$?" = "0" ]; then
+		echo 'Error getting color-theme'
+		exit 3790
+	fi
+	gunzip *.gz
+	cd ~/
+	echo "color-theme" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "solarized" $INSTALL_FILE; then
-    rm -rf ~/elisp/color-theme-solarized
-    mkdir ~/elisp/color-theme-solarized
-    git clone https://github.com/sellout/emacs-color-theme-solarized ~/elisp/color-theme-solarized
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning color-theme-solarized'
-        exit 80597
-    fi
-    echo "solarized" >> $INSTALL_FILE
+	rm -rf ~/elisp/color-theme-solarized
+	mkdir ~/elisp/color-theme-solarized
+	git clone https://github.com/sellout/emacs-color-theme-solarized ~/elisp/color-theme-solarized
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning color-theme-solarized'
+		exit 80597
+	fi
+	echo "solarized" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "yoshi" $INSTALL_FILE; then
-    rm -rf ~/elisp/color-theme-yoshi
-    mkdir ~/elisp/color-theme-yoshi
-    git clone https://github.com/ryuslash/yoshi-theme ~/elisp/color-theme-yoshi
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning color-theme-yoshi'
-        exit 52822
-    fi
-    echo "yoshi" >> $INSTALL_FILE
+	rm -rf ~/elisp/color-theme-yoshi
+	mkdir ~/elisp/color-theme-yoshi
+	git clone https://github.com/ryuslash/yoshi-theme ~/elisp/color-theme-yoshi
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning color-theme-yoshi'
+		exit 52822
+	fi
+	echo "yoshi" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "browse-kill-ring" $INSTALL_FILE; then
-    rm -rf ~/elisp/browse-kill-ring
-    mkdir ~/elisp/browse-kill-ring
-    git clone https://github.com/browse-kill-ring/browse-kill-ring ~/elisp/browse-kill-ring
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning browse-kill-ring'
-        exit 56799
-    fi
-    echo "browse-kill-ring" >> $INSTALL_FILE
+	rm -rf ~/elisp/browse-kill-ring
+	mkdir ~/elisp/browse-kill-ring
+	git clone https://github.com/browse-kill-ring/browse-kill-ring ~/elisp/browse-kill-ring
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning browse-kill-ring'
+		exit 56799
+	fi
+	echo "browse-kill-ring" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "org2blog" $INSTALL_FILE; then
-    rm -rf ~/elisp/org2blog
-    mkdir ~/elisp/org2blog
-    git clone https://github.com/punchagan/org2blog ~/elisp/org2blog
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning org2blog'
-        exit 437568
-    fi
-    echo "org2blog" >> $INSTALL_FILE
+	rm -rf ~/elisp/org2blog
+	mkdir ~/elisp/org2blog
+	git clone https://github.com/punchagan/org2blog ~/elisp/org2blog
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning org2blog'
+		exit 437568
+	fi
+	echo "org2blog" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "xml-rpc" $INSTALL_FILE; then
-    rm -rf ~/elisp/xml-rpc
-    mkdir ~/elisp/xml-rpc
-    cd ~/elisp/xml-rpc
-    rm *
-    wget http://bzr.savannah.gnu.org/lh/emacsweblogs/download/head:/xmlrpc.el-20090801230654-j6zs1nz27v2j6d62-7/xml-rpc.el
-    if [ ! "$?" = "0" ]; then
-        echo 'Error getting xml-rpc'
-        exit 57906
-    fi
-    cd ~/
-    echo "xml-rpc" >> $INSTALL_FILE
+	rm -rf ~/elisp/xml-rpc
+	mkdir ~/elisp/xml-rpc
+	cd ~/elisp/xml-rpc
+	rm *
+	wget http://bzr.savannah.gnu.org/lh/emacsweblogs/download/head:/xmlrpc.el-20090801230654-j6zs1nz27v2j6d62-7/xml-rpc.el
+	if [ ! "$?" = "0" ]; then
+		echo 'Error getting xml-rpc'
+		exit 57906
+	fi
+	cd ~/
+	echo "xml-rpc" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "metaweblog" $INSTALL_FILE; then
-    rm -rf ~/elisp/metaweblog
-    mkdir ~/elisp/metaweblog
-    git clone https://github.com/punchagan/metaweblog ~/elisp/metaweblog
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning metaweblog'
-        exit 590545
-    fi
-    echo "metaweblog" >> $INSTALL_FILE
+	rm -rf ~/elisp/metaweblog
+	mkdir ~/elisp/metaweblog
+	git clone https://github.com/punchagan/metaweblog ~/elisp/metaweblog
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning metaweblog'
+		exit 590545
+	fi
+	echo "metaweblog" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "expand-region" $INSTALL_FILE; then
-    rm -rf ~/elisp/expand-region
-    mkdir ~/elisp/expand-region
-    git clone https://github.com/magnars/expand-region.el ~/elisp/expand-region
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning expand-region'
-        exit 48983
-    fi
-    echo "expand-region" >> $INSTALL_FILE
+	rm -rf ~/elisp/expand-region
+	mkdir ~/elisp/expand-region
+	git clone https://github.com/magnars/expand-region.el ~/elisp/expand-region
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning expand-region'
+		exit 48983
+	fi
+	echo "expand-region" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "with-editor" $INSTALL_FILE; then
-    rm -rf ~/elisp/with-editor
-    mkdir ~/elisp/with-editor
-    git clone https://github.com/magit/with-editor ~/elisp/with-editor
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning with-editor'
-        exit 46973
-    fi
-    cd ~/elisp/with-editor
-    make lisp
-    if [ ! "$?" = "0" ]; then
-        echo 'Unable to make with-editor'
-        exit 73865
-    fi
-    cd ~/
-    echo "with-editor" >> $INSTALL_FILE
+	rm -rf ~/elisp/with-editor
+	mkdir ~/elisp/with-editor
+	git clone https://github.com/magit/with-editor ~/elisp/with-editor
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning with-editor'
+		exit 46973
+	fi
+	cd ~/elisp/with-editor
+	make lisp
+	if [ ! "$?" = "0" ]; then
+		echo 'Unable to make with-editor'
+		exit 73865
+	fi
+	cd ~/
+	echo "with-editor" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "git-modes" $INSTALL_FILE; then
-    rm -rf ~/elisp/git-modes
-    mkdir ~/elisp/git-modes
-    git clone https://github.com/magit/git-modes ~/elisp/git-modes
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning git-modes'
-        exit 46973
-    fi
-    cd ~/elisp/git-modes
-    make
-    if [ ! "$?" = "0" ]; then
-        echo 'Unable to make git-modes'
-        exit 73865
-    fi
-    sudo make install
-    cd ~/
-    echo "git-modes" >> $INSTALL_FILE
+	rm -rf ~/elisp/git-modes
+	mkdir ~/elisp/git-modes
+	git clone https://github.com/magit/git-modes ~/elisp/git-modes
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning git-modes'
+		exit 46973
+	fi
+	cd ~/elisp/git-modes
+	make
+	if [ ! "$?" = "0" ]; then
+		echo 'Unable to make git-modes'
+		exit 73865
+	fi
+	sudo make install
+	cd ~/
+	echo "git-modes" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "dash" $INSTALL_FILE; then
-    rm -rf ~/elisp/dash
-    mkdir ~/elisp/dash
-    git clone https://github.com/magnars/dash.el ~/elisp/dash
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning dash'
-        exit 3780766
-    fi
-    echo "dash" >> $INSTALL_FILE
+	rm -rf ~/elisp/dash
+	mkdir ~/elisp/dash
+	git clone https://github.com/magnars/dash.el ~/elisp/dash
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning dash'
+		exit 3780766
+	fi
+	echo "dash" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "magit" $INSTALL_FILE; then
-    rm -rf ~/elisp/magit
-    mkdir ~/elisp/magit
-    git clone https://github.com/magit/magit ~/elisp/magit
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning magit'
-        exit 27859
-    fi
-    cd ~/elisp/magit
-    cp ~/elisp/with-editor/*.el ~/elisp/magit/lisp
-    EFLAGS="-L ~/elisp/git-modes" make lisp docs
-    make lisp docs
-    if [ ! "$?" = "0" ]; then
-        echo 'Unable to make magit'
-        exit 63852
-    fi
-    cd ~/
-    echo "magit" >> $INSTALL_FILE
+	rm -rf ~/elisp/magit
+	mkdir ~/elisp/magit
+	git clone https://github.com/magit/magit ~/elisp/magit
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning magit'
+		exit 27859
+	fi
+	cd ~/elisp/magit
+	cp ~/elisp/with-editor/*.el ~/elisp/magit/lisp
+	EFLAGS="-L ~/elisp/git-modes" make lisp docs
+	make lisp docs
+	if [ ! "$?" = "0" ]; then
+		echo 'Unable to make magit'
+		exit 63852
+	fi
+	cd ~/
+	echo "magit" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "inf-ruby" $INSTALL_FILE; then
-    rm -rf ~/elisp/inf-ruby
-    mkdir ~/elisp/inf-ruby
-    git clone https://github.com/nonsequitur/inf-ruby ~/elisp/inf-ruby
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning inf-ruby'
-        exit 86479
-    fi
-    echo "inf-ruby" >> $INSTALL_FILE
+	rm -rf ~/elisp/inf-ruby
+	mkdir ~/elisp/inf-ruby
+	git clone https://github.com/nonsequitur/inf-ruby ~/elisp/inf-ruby
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning inf-ruby'
+		exit 86479
+	fi
+	echo "inf-ruby" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "smartparens" $INSTALL_FILE; then
-    rm -rf ~/elisp/smartparens
-    mkdir ~/elisp/smartparens
-    git clone https://github.com/Fuco1/smartparens ~/elisp/smartparens
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning smartparens'
-        exit 855854
-    fi
-    echo "smartparens" >> $INSTALL_FILE
+	rm -rf ~/elisp/smartparens
+	mkdir ~/elisp/smartparens
+	git clone https://github.com/Fuco1/smartparens ~/elisp/smartparens
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning smartparens'
+		exit 855854
+	fi
+	echo "smartparens" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "artbollocks" $INSTALL_FILE; then
-    rm -rf ~/elisp/artbollocks
-    mkdir ~/elisp/artbollocks
-    git clone https://github.com/sachac/artbollocks-mode ~/elisp/artbollocks
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning artbollocks'
-        exit 468905
-    fi
-    echo "artbollocks" >> $INSTALL_FILE
+	rm -rf ~/elisp/artbollocks
+	mkdir ~/elisp/artbollocks
+	git clone https://github.com/sachac/artbollocks-mode ~/elisp/artbollocks
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning artbollocks'
+		exit 468905
+	fi
+	echo "artbollocks" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "projectile" $INSTALL_FILE; then
-    rm -rf ~/elisp/projectile
-    mkdir ~/elisp/projectile
-    git clone https://github.com/bbatsov/projectile ~/elisp/projectile
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning projectile'
-        exit 3908569
-    fi
-    echo "projectile" >> $INSTALL_FILE
+	rm -rf ~/elisp/projectile
+	mkdir ~/elisp/projectile
+	git clone https://github.com/bbatsov/projectile ~/elisp/projectile
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning projectile'
+		exit 3908569
+	fi
+	echo "projectile" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "ssss" $INSTALL_FILE; then
-    rm -rf ~/elisp/s
-    mkdir ~/elisp/s
-    git clone https://github.com/magnars/s.el ~/elisp/s
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning s'
-        exit 199756
-    fi
-    echo "ssss" >> $INSTALL_FILE
+	rm -rf ~/elisp/s
+	mkdir ~/elisp/s
+	git clone https://github.com/magnars/s.el ~/elisp/s
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning s'
+		exit 199756
+	fi
+	echo "ssss" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "pkg-info" $INSTALL_FILE; then
-    rm -rf ~/elisp/pkg-info
-    mkdir ~/elisp/pkg-info
-    git clone https://github.com/lunaryorn/pkg-info.el ~/elisp/pkg-info
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning pkg-info'
-        exit 597235
-    fi
-    echo "pkg-info" >> $INSTALL_FILE
+	rm -rf ~/elisp/pkg-info
+	mkdir ~/elisp/pkg-info
+	git clone https://github.com/lunaryorn/pkg-info.el ~/elisp/pkg-info
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning pkg-info'
+		exit 597235
+	fi
+	echo "pkg-info" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "epl" $INSTALL_FILE; then
-    rm -rf ~/elisp/epl
-    mkdir ~/elisp/epl
-    git clone https://github.com/cask/epl ~/elisp/epl
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning epl'
-        exit 759843
-    fi
-    echo "epl" >> $INSTALL_FILE
+	rm -rf ~/elisp/epl
+	mkdir ~/elisp/epl
+	git clone https://github.com/cask/epl ~/elisp/epl
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning epl'
+		exit 759843
+	fi
+	echo "epl" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "qml-mode" $INSTALL_FILE; then
-    rm -rf ~/elisp/qml-mode
-    mkdir ~/elisp/qml-mode
-    git clone https://github.com/cataska/qml-mode ~/elisp/qml-mode
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning qml-mode'
-        exit 678574
-    fi
-    echo "qml-mode" >> $INSTALL_FILE
+	rm -rf ~/elisp/qml-mode
+	mkdir ~/elisp/qml-mode
+	git clone https://github.com/cataska/qml-mode ~/elisp/qml-mode
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning qml-mode'
+		exit 678574
+	fi
+	echo "qml-mode" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "yaml-mode" $INSTALL_FILE; then
-    rm -rf ~/elisp/yaml-mode
-    mkdir ~/elisp/yaml-mode
-    git clone https://github.com/yoshiki/yaml-mode ~/elisp/yaml-mode
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning yaml-mode'
-        exit 86894
-    fi
-    cd ~/elisp/yaml-mode
-    make
-    if [ ! "$?" = "0" ]; then
-        echo 'Unable to make yaml-mode'
-        exit 72726
-    fi
-    sudo make install
-    cd ~/
-    echo "yaml-mode" >> $INSTALL_FILE
+	rm -rf ~/elisp/yaml-mode
+	mkdir ~/elisp/yaml-mode
+	git clone https://github.com/yoshiki/yaml-mode ~/elisp/yaml-mode
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning yaml-mode'
+		exit 86894
+	fi
+	cd ~/elisp/yaml-mode
+	make
+	if [ ! "$?" = "0" ]; then
+		echo 'Unable to make yaml-mode'
+		exit 72726
+	fi
+	sudo make install
+	cd ~/
+	echo "yaml-mode" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "brmorph-mode" $INSTALL_FILE; then
-    rm -rf ~/elisp/brmorph-mode
-    mkdir ~/elisp/brmorph-mode
-    git clone https://github.com/bashrc/brmorph-mode ~/elisp/brmorph-mode
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning brmorph-mode'
-        exit 766902
-    fi
-    cd ~/elisp/brmorph-mode
-    make
-    if [ ! "$?" = "0" ]; then
-        echo 'Unable to make brmorph-mode'
-        exit 62852
-    fi
-    sudo make install
-    cd ~/
-    echo "brmorph-mode" >> $INSTALL_FILE
+	rm -rf ~/elisp/brmorph-mode
+	mkdir ~/elisp/brmorph-mode
+	git clone https://github.com/bashrc/brmorph-mode ~/elisp/brmorph-mode
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning brmorph-mode'
+		exit 766902
+	fi
+	cd ~/elisp/brmorph-mode
+	make
+	if [ ! "$?" = "0" ]; then
+		echo 'Unable to make brmorph-mode'
+		exit 62852
+	fi
+	sudo make install
+	cd ~/
+	echo "brmorph-mode" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "golden-ratio" $INSTALL_FILE; then
-    rm -rf ~/elisp/golden-ratio
-    mkdir ~/elisp/golden-ratio
-    git clone https://github.com/roman/golden-ratio.el ~/elisp/golden-ratio
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning golden-ratio'
-        exit 4623959
-    fi
-    emacs -batch -l ~/elisp/golden-ratio/golden-ratio.el ~/.emacs.d
-    echo "golden-ratio" >> $INSTALL_FILE
+	rm -rf ~/elisp/golden-ratio
+	mkdir ~/elisp/golden-ratio
+	git clone https://github.com/roman/golden-ratio.el ~/elisp/golden-ratio
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning golden-ratio'
+		exit 4623959
+	fi
+	emacs -batch -l ~/elisp/golden-ratio/golden-ratio.el ~/.emacs.d
+	echo "golden-ratio" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "rainbow-delimeters" $INSTALL_FILE; then
-    rm -rf ~/elisp/rainbow-delimiters
-    mkdir ~/elisp/rainbow-delimiters
-    git clone https://github.com/Fanael/rainbow-delimiters ~/elisp/rainbow-delimiters
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning rainbow-delimeters'
-        exit 654389
-    fi
-    emacs -batch -l ~/elisp/rainbow-delimiters/rainbow-delimiters.el ~/.emacs.d
-    echo "rainbow-delimeters" >> $INSTALL_FILE
+	rm -rf ~/elisp/rainbow-delimiters
+	mkdir ~/elisp/rainbow-delimiters
+	git clone https://github.com/Fanael/rainbow-delimiters ~/elisp/rainbow-delimiters
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning rainbow-delimeters'
+		exit 654389
+	fi
+	emacs -batch -l ~/elisp/rainbow-delimiters/rainbow-delimiters.el ~/.emacs.d
+	echo "rainbow-delimeters" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "popup-el" $INSTALL_FILE; then
-    rm -rf ~/elisp/popup-el
-    mkdir ~/elisp/popup-el
-    git clone https://github.com/auto-complete/popup-el ~/elisp/popup-el
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning popup-el'
-        exit 54379
-    fi
-    cd ~/elisp/popup-el
-    emacs -batch -l ~/elisp/popup-el/popup.el ~/.emacs.d
-    echo "popup-el" >> $INSTALL_FILE
+	rm -rf ~/elisp/popup-el
+	mkdir ~/elisp/popup-el
+	git clone https://github.com/auto-complete/popup-el ~/elisp/popup-el
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning popup-el'
+		exit 54379
+	fi
+	cd ~/elisp/popup-el
+	emacs -batch -l ~/elisp/popup-el/popup.el ~/.emacs.d
+	echo "popup-el" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "auto-complete" $INSTALL_FILE; then
-    rm -rf ~/elisp/auto-complete
-    mkdir ~/elisp/auto-complete
-    git clone https://github.com/auto-complete/auto-complete ~/elisp/auto-complete
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning auto-complete'
-        exit 584394
-    fi
-    emacs -batch -l ~/elisp/auto-complete/etc/install.el ~/.emacs.d
-    echo "auto-complete" >> $INSTALL_FILE
+	rm -rf ~/elisp/auto-complete
+	mkdir ~/elisp/auto-complete
+	git clone https://github.com/auto-complete/auto-complete ~/elisp/auto-complete
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning auto-complete'
+		exit 584394
+	fi
+	emacs -batch -l ~/elisp/auto-complete/etc/install.el ~/.emacs.d
+	echo "auto-complete" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "htmlize" $INSTALL_FILE; then
-    rm -rf ~/elisp/htmlize
-    mkdir ~/elisp/htmlize
-    git clone https://github.com/emacsmirror/htmlize ~/elisp/htmlize
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning htmlize'
-        exit 543826
-    fi
-    echo "htmlize" >> $INSTALL_FILE
+	rm -rf ~/elisp/htmlize
+	mkdir ~/elisp/htmlize
+	git clone https://github.com/emacsmirror/htmlize ~/elisp/htmlize
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning htmlize'
+		exit 543826
+	fi
+	echo "htmlize" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "magit-gerrit" $INSTALL_FILE; then
-    rm -rf ~/elisp/magit-gerrit
-    mkdir ~/elisp/magit-gerrit
-    git clone https://github.com/bashrc/magit-gerrit ~/elisp/magit-gerrit
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning magit-gerrit'
-        exit 5437
-    fi
-    echo "magit-gerrit" >> $INSTALL_FILE
+	rm -rf ~/elisp/magit-gerrit
+	mkdir ~/elisp/magit-gerrit
+	git clone https://github.com/bashrc/magit-gerrit ~/elisp/magit-gerrit
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning magit-gerrit'
+		exit 5437
+	fi
+	echo "magit-gerrit" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "undo-tree" $INSTALL_FILE; then
-    rm -rf ~/elisp/undo-tree
-    mkdir ~/elisp/undo-tree
-    cd ~/elisp/undo-tree
-    wget http://www.dr-qubit.org/undo-tree/undo-tree.el
-    if [ ! "$?" = "0" ]; then
-        echo 'Error getting undo-tree'
-        exit 6373
-    fi
-    echo "undo-tree" >> $INSTALL_FILE
+	rm -rf ~/elisp/undo-tree
+	mkdir ~/elisp/undo-tree
+	cd ~/elisp/undo-tree
+	wget http://www.dr-qubit.org/undo-tree/undo-tree.el
+	if [ ! "$?" = "0" ]; then
+		echo 'Error getting undo-tree'
+		exit 6373
+	fi
+	echo "undo-tree" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "guide-key" $INSTALL_FILE; then
-    rm -rf ~/elisp/guide-key
-    mkdir ~/elisp/guide-key
-    git clone https://github.com/kai2nenobu/guide-key ~/elisp/guide-key
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning guide-key'
-        exit 7290
-    fi
-    echo "guide-key" >> $INSTALL_FILE
+	rm -rf ~/elisp/guide-key
+	mkdir ~/elisp/guide-key
+	git clone https://github.com/kai2nenobu/guide-key ~/elisp/guide-key
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning guide-key'
+		exit 7290
+	fi
+	echo "guide-key" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "popwin" $INSTALL_FILE; then
-    rm -rf ~/elisp/popwin
-    mkdir ~/elisp/popwin
-    git clone https://github.com/m2ym/popwin-el ~/elisp/popwin
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning popwin'
-        exit 73941
-    fi
-    echo "popwin" >> $INSTALL_FILE
+	rm -rf ~/elisp/popwin
+	mkdir ~/elisp/popwin
+	git clone https://github.com/m2ym/popwin-el ~/elisp/popwin
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning popwin'
+		exit 73941
+	fi
+	echo "popwin" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "go-mode" $INSTALL_FILE; then
-    rm -rf ~/elisp/go-mode
-    mkdir ~/elisp/go-mode
-    git clone https://github.com/dominikh/go-mode.el ~/elisp/go-mode
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning go-mode'
-        exit 63832
-    fi
-    echo "go-mode" >> $INSTALL_FILE
+	rm -rf ~/elisp/go-mode
+	mkdir ~/elisp/go-mode
+	git clone https://github.com/dominikh/go-mode.el ~/elisp/go-mode
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning go-mode'
+		exit 63832
+	fi
+	echo "go-mode" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "robot-mode" $INSTALL_FILE; then
-    rm -rf ~/elisp/robot-mode
-    mkdir ~/elisp/robot-mode
-    git clone https://github.com/sakari/robot-mode ~/elisp/robot-mode
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning robot-mode'
-        exit 63829
-    fi
-    echo "robot-mode" >> $INSTALL_FILE
+	rm -rf ~/elisp/robot-mode
+	mkdir ~/elisp/robot-mode
+	git clone https://github.com/sakari/robot-mode ~/elisp/robot-mode
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning robot-mode'
+		exit 63829
+	fi
+	echo "robot-mode" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "aggressive-indent-mode" $INSTALL_FILE; then
-    rm -rf ~/elisp/aggressive-indent-mode
-    mkdir ~/elisp/aggressive-indent-mode
-    git clone https://github.com/Malabarba/aggressive-indent-mode ~/elisp/aggressive-indent-mode
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning aggressive-indent-mode'
-        exit 25728
-    fi
-    echo "aggressive-indent-mode" >> $INSTALL_FILE
+	rm -rf ~/elisp/aggressive-indent-mode
+	mkdir ~/elisp/aggressive-indent-mode
+	git clone https://github.com/Malabarba/aggressive-indent-mode ~/elisp/aggressive-indent-mode
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning aggressive-indent-mode'
+		exit 25728
+	fi
+	echo "aggressive-indent-mode" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "php-mode" $INSTALL_FILE; then
-    rm -rf ~/elisp/php-mode
-    mkdir ~/elisp/php-mode
-    git clone https://github.com/ejmr/php-mode ~/elisp/php-mode
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning php-mode'
-        exit 63820
-    fi
-    echo "php-mode" >> $INSTALL_FILE
+	rm -rf ~/elisp/php-mode
+	mkdir ~/elisp/php-mode
+	git clone https://github.com/ejmr/php-mode ~/elisp/php-mode
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning php-mode'
+		exit 63820
+	fi
+	echo "php-mode" >> $INSTALL_FILE
 fi
 
 if ! grep -Fxq "js2-mode" $INSTALL_FILE; then
-    rm -rf ~/elisp/js2-mode
-    mkdir ~/elisp/js2-mode
-    git clone https://github.com/mooz/js2-mode ~/elisp/js2-mode
-    if [ ! "$?" = "0" ]; then
-        echo 'Error cloning js2-mode'
-        exit 63820
-    fi
-    echo "js2-mode" >> $INSTALL_FILE
+	rm -rf ~/elisp/js2-mode
+	mkdir ~/elisp/js2-mode
+	git clone https://github.com/mooz/js2-mode ~/elisp/js2-mode
+	if [ ! "$?" = "0" ]; then
+		echo 'Error cloning js2-mode'
+		exit 63820
+	fi
+	echo "js2-mode" >> $INSTALL_FILE
 fi
 
 exit 0

+ 3 - 1
emacs.d/init/init.org

@@ -1975,7 +1975,9 @@ I want to be able to export without having to say yes to code blocks all the tim
 Might as well take advantage of my stylesheet:
 
 #+begin_src emacs-lisp
-(setq org-html-head "<link rel=\"stylesheet\" type=\"text/css\" href=\"https://raw.githubusercontent.com/bashrc/emacs/master/style.css\"></link>")
+(setq org-html-head "<link rel=\"stylesheet\" type=\"text/css\" href=\"https://raw.githubusercontent.com/bashrc/emacs/master/css/foundation.min.css\"></link>
+<link rel=\"stylesheet\" type=\"text/css\" href=\"https://raw.githubusercontent.com/bashrc/emacs/master/css/org-export.css\"></link>
+<link rel=\"stylesheet\" type=\"text/css\" href=\"https://raw.githubusercontent.com/bashrc/emacs/master/css/style.css\"></link>")
 (setq org-html-htmlize-output-type 'css)
 (setq org-src-fontify-natively t)
 #+end_src

File diff suppressed because it is too large
+ 0 - 1171
style.css